-- MySQL dump 10.13  Distrib 5.1.32, for Win32 (ia32)
--
-- Host: localhost    Database: claroline
-- ------------------------------------------------------
-- Server version	5.0.51a-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `cl_category`
--

DROP TABLE IF EXISTS `cl_category`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_category` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `code` varchar(12) NOT NULL default '',
  `idParent` int(11) default '0',
  `rank` int(11) NOT NULL default '0',
  `visible` tinyint(1) NOT NULL default '1',
  `canHaveCoursesChild` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_category`
--

LOCK TABLES `cl_category` WRITE;
/*!40000 ALTER TABLE `cl_category` DISABLE KEYS */;
INSERT INTO `cl_category` VALUES (0,'Root','ROOT',NULL,0,0,0),(2,'Sciences','SC',0,1,1,1),(3,'Economics','ECO',0,2,1,1),(4,'Humanities','HUMA',0,3,1,1);
/*!40000 ALTER TABLE `cl_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_class`
--

DROP TABLE IF EXISTS `cl_class`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_class` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `class_parent_id` int(11) default NULL,
  `class_level` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='classe_id, name, classe_parent_id, classe_level';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_class`
--

LOCK TABLES `cl_class` WRITE;
/*!40000 ALTER TABLE `cl_class` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_config_file`
--

DROP TABLE IF EXISTS `cl_config_file`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_config_file` (
  `config_code` varchar(30) NOT NULL default '',
  `config_hash` varchar(40) NOT NULL default '',
  PRIMARY KEY  (`config_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AVG_ROW_LENGTH=48;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_config_file`
--

LOCK TABLES `cl_config_file` WRITE;
/*!40000 ALTER TABLE `cl_config_file` DISABLE KEYS */;
INSERT INTO `cl_config_file` VALUES ('CLGRP','ce0568f8dadcde64d5c577357f2e5ff8'),('CLPROFIL','5669b7212930bd5be27f55fdbd695376'),('CLSSO','9de632571503fc49c760dfa957f16513'),('CLMAIN','3bafc8407c489b84765d5cd3159a1a8c'),('CLICAL','ea58bbca450d2b09ae7b8382a59b4a10'),('CLCRS','affc18e2e824352a5632b34c94515ed6'),('CLAUTH','02107b63fbca0262eb7a205b1a35772c'),('CLKCACHE','6d50bcfa717cff9a510b6d2efcc35dab'),('CLCAS','e6e0e1573b847453219fae0409a566a9'),('CLRSS','0dac14ac8b6d9b45d906fcc7235688d6'),('CLMSG','88bfa74d61443cc007e283f4f6e61eaa'),('CLHOME','944607dd6058ce61b71b1c4eff314de3'),('CLANN','b9912b456335dce8872a17e94ce3775a'),('CLDOC','12931a6a1192546825f9d6758291b82e'),('CLQWZ','a21e2bc726e0870e72144d7e33e82115'),('CLLNP','8b88937382cf9517b388c363da4ceec2'),('CLWRK','ff7ad7b74aad0cbaab4a0668639dda3b'),('CLFRM','2053c2f59969ddc35176367555ad13ec'),('CLUSR','9d9386c0ad8708a19bfed213223cbcb7'),('CLWIKI','25e5b6723917895fe856c34386ff95d6'),('CLCHAT','ce8be39fdb33417e5e960dc52e378eaf');
/*!40000 ALTER TABLE `cl_config_file` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_cours`
--

DROP TABLE IF EXISTS `cl_cours`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_cours` (
  `cours_id` int(11) NOT NULL auto_increment,
  `code` varchar(40) default NULL,
  `isSourceCourse` tinyint(4) NOT NULL default '0',
  `sourceCourseId` int(11) default NULL,
  `administrativeNumber` varchar(40) default NULL,
  `directory` varchar(20) default NULL,
  `dbName` varchar(40) default NULL,
  `language` varchar(15) default NULL,
  `intitule` varchar(250) default NULL,
  `titulaires` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `extLinkName` varchar(30) default NULL,
  `extLinkUrl` varchar(180) default NULL,
  `visibility` enum('visible','invisible') NOT NULL default 'visible',
  `access` enum('public','private','platform') NOT NULL default 'public',
  `registration` enum('open','close','validation') NOT NULL default 'open',
  `registrationKey` varchar(255) default NULL,
  `diskQuota` int(10) unsigned default NULL,
  `versionDb` varchar(250) NOT NULL default 'NEVER SET',
  `versionClaro` varchar(250) NOT NULL default 'NEVER SET',
  `lastVisit` datetime default NULL,
  `lastEdit` datetime default NULL,
  `creationDate` datetime default NULL,
  `expirationDate` datetime default NULL,
  `defaultProfileId` int(11) NOT NULL,
  `status` enum('enable','pending','disable','trash','date') NOT NULL default 'enable',
  `userLimit` int(11) NOT NULL default '0',
  PRIMARY KEY  (`cours_id`),
  KEY `administrativeNumber` (`administrativeNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='data of courses';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_cours`
--

LOCK TABLES `cl_cours` WRITE;
/*!40000 ALTER TABLE `cl_cours` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_cours` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_course_tool`
--

DROP TABLE IF EXISTS `cl_course_tool`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_course_tool` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `claro_label` varchar(8) NOT NULL default '',
  `script_url` varchar(255) NOT NULL default '',
  `icon` varchar(255) default NULL,
  `def_access` enum('ALL','COURSE_MEMBER','GROUP_MEMBER','GROUP_TUTOR','COURSE_ADMIN','PLATFORM_ADMIN') NOT NULL default 'ALL',
  `def_rank` int(10) unsigned default NULL,
  `add_in_course` enum('MANUAL','AUTOMATIC') NOT NULL default 'AUTOMATIC',
  `access_manager` enum('PLATFORM_ADMIN','COURSE_ADMIN') NOT NULL default 'COURSE_ADMIN',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `claro_label` (`claro_label`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=latin1 COMMENT='based definiton of the claroline tool used in each course';
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_course_tool`
--

LOCK TABLES `cl_course_tool` WRITE;
/*!40000 ALTER TABLE `cl_course_tool` DISABLE KEYS */;
INSERT INTO `cl_course_tool` VALUES (1,'CLDSC','index.php','icon.png','ALL',1,'AUTOMATIC','COURSE_ADMIN'),(2,'CLCAL','agenda.php','icon.png','ALL',2,'AUTOMATIC','COURSE_ADMIN'),(3,'CLANN','announcements.php','icon.png','ALL',3,'AUTOMATIC','COURSE_ADMIN'),(4,'CLDOC','document.php','icon.png','ALL',4,'AUTOMATIC','COURSE_ADMIN'),(5,'CLQWZ','exercise.php','icon.png','ALL',5,'AUTOMATIC','COURSE_ADMIN'),(6,'CLLNP','learningPathList.php','icon.png','ALL',6,'AUTOMATIC','COURSE_ADMIN'),(7,'CLWRK','work.php','icon.png','ALL',7,'AUTOMATIC','COURSE_ADMIN'),(8,'CLFRM','index.php','icon.png','ALL',8,'AUTOMATIC','COURSE_ADMIN'),(9,'CLGRP','group.php','icon.png','ALL',9,'AUTOMATIC','COURSE_ADMIN'),(10,'CLUSR','user.php','icon.png','ALL',10,'AUTOMATIC','COURSE_ADMIN'),(11,'CLWIKI','wiki.php','icon.png','ALL',11,'AUTOMATIC','COURSE_ADMIN'),(12,'CLCHAT','index.php','icon.png','ALL',12,'AUTOMATIC','COURSE_ADMIN');
/*!40000 ALTER TABLE `cl_course_tool` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_coursehomepage_portlet`
--

DROP TABLE IF EXISTS `cl_coursehomepage_portlet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_coursehomepage_portlet` (
  `label` varchar(10) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY  (`label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_coursehomepage_portlet`
--

LOCK TABLES `cl_coursehomepage_portlet` WRITE;
/*!40000 ALTER TABLE `cl_coursehomepage_portlet` DISABLE KEYS */;
INSERT INTO `cl_coursehomepage_portlet` VALUES ('CLTI','Headlines'),('CLCAL','Calendar'),('CLANN','Announcements');
/*!40000 ALTER TABLE `cl_coursehomepage_portlet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_desktop_portlet`
--

DROP TABLE IF EXISTS `cl_desktop_portlet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_desktop_portlet` (
  `label` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `rank` int(11) NOT NULL,
  `visibility` enum('visible','invisible') NOT NULL default 'visible',
  `activated` int(11) NOT NULL default '1',
  PRIMARY KEY  (`label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_desktop_portlet`
--

LOCK TABLES `cl_desktop_portlet` WRITE;
/*!40000 ALTER TABLE `cl_desktop_portlet` DISABLE KEYS */;
INSERT INTO `cl_desktop_portlet` VALUES ('mycourselist','Liste de mes cours',1,'visible',1),('mymessages','Mes 5 derniers messages <span class=\"separator\">|</span> <a href=\"/claroline/claroline/messaging/index.php\">Voir tous mes messages</a>',2,'visible',1),('CLCAL_Portlet','Mon agenda',3,'visible',1),('CLANN_Portlet','Dernières annonces',4,'visible',1);
/*!40000 ALTER TABLE `cl_desktop_portlet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_desktop_portlet_data`
--

DROP TABLE IF EXISTS `cl_desktop_portlet_data`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_desktop_portlet_data` (
  `id` int(11) NOT NULL auto_increment,
  `label` varchar(255) NOT NULL,
  `idUser` int(11) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_desktop_portlet_data`
--

LOCK TABLES `cl_desktop_portlet_data` WRITE;
/*!40000 ALTER TABLE `cl_desktop_portlet_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_desktop_portlet_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_dock`
--

DROP TABLE IF EXISTS `cl_dock`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_dock` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `module_id` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `rank` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_dock`
--

LOCK TABLES `cl_dock` WRITE;
/*!40000 ALTER TABLE `cl_dock` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_dock` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_event_resource`
--

DROP TABLE IF EXISTS `cl_event_resource`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_event_resource` (
  `event_id` int(11) NOT NULL,
  `resource_id` int(11) NOT NULL,
  `tool_id` int(11) NOT NULL,
  `course_code` varchar(40) NOT NULL,
  PRIMARY KEY  (`event_id`,`resource_id`,`tool_id`,`course_code`),
  UNIQUE KEY `event_id` (`event_id`,`course_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_event_resource`
--

LOCK TABLES `cl_event_resource` WRITE;
/*!40000 ALTER TABLE `cl_event_resource` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_event_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_im_message`
--

DROP TABLE IF EXISTS `cl_im_message`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_im_message` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `sender` int(11) NOT NULL,
  `subject` varchar(100) NOT NULL,
  `message` text NOT NULL,
  `send_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `course` varchar(40) default NULL,
  `group` int(11) default NULL,
  `tools` char(8) default NULL,
  PRIMARY KEY  (`message_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_im_message`
--

LOCK TABLES `cl_im_message` WRITE;
/*!40000 ALTER TABLE `cl_im_message` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_im_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_im_message_status`
--

DROP TABLE IF EXISTS `cl_im_message_status`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_im_message_status` (
  `user_id` int(11) NOT NULL,
  `message_id` int(11) NOT NULL,
  `is_read` tinyint(4) NOT NULL default '0',
  `is_deleted` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`user_id`,`message_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_im_message_status`
--

LOCK TABLES `cl_im_message_status` WRITE;
/*!40000 ALTER TABLE `cl_im_message_status` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_im_message_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_im_recipient`
--

DROP TABLE IF EXISTS `cl_im_recipient`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_im_recipient` (
  `message_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `sent_to` enum('toUser','toGroup','toCourse','toAll') NOT NULL,
  PRIMARY KEY  (`message_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_im_recipient`
--

LOCK TABLES `cl_im_recipient` WRITE;
/*!40000 ALTER TABLE `cl_im_recipient` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_im_recipient` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_log`
--

DROP TABLE IF EXISTS `cl_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_log` (
  `id` int(11) NOT NULL auto_increment,
  `course_code` varchar(40) default NULL,
  `tool_id` int(11) default NULL,
  `user_id` int(11) default NULL,
  `ip` varchar(15) default NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` varchar(60) NOT NULL default '',
  `data` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `course_id` (`course_code`),
  KEY `user_log` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_log`
--

LOCK TABLES `cl_log` WRITE;
/*!40000 ALTER TABLE `cl_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_module`
--

DROP TABLE IF EXISTS `cl_module`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_module` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `label` varchar(8) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `activation` enum('activated','desactivated') NOT NULL default 'desactivated',
  `type` varchar(10) NOT NULL default 'applet',
  `script_url` char(255) NOT NULL default 'entry.php',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_module`
--

LOCK TABLES `cl_module` WRITE;
/*!40000 ALTER TABLE `cl_module` DISABLE KEYS */;
INSERT INTO `cl_module` VALUES (1,'CLDSC','Course description','activated','tool','index.php'),(2,'CLCAL','Agenda','activated','tool','agenda.php'),(3,'CLANN','Announcements','activated','tool','announcements.php'),(4,'CLDOC','Documents and Links','activated','tool','document.php'),(5,'CLQWZ','Exercises','activated','tool','exercise.php'),(6,'CLLNP','Learning path','activated','tool','learningPathList.php'),(7,'CLWRK','Assignments','activated','tool','work.php'),(8,'CLFRM','Forums','activated','tool','index.php'),(9,'CLGRP','Groups','activated','tool','group.php'),(10,'CLUSR','Users','activated','tool','user.php'),(11,'CLWIKI','Wiki','activated','tool','wiki.php'),(12,'CLCHAT','Chat','activated','tool','index.php');
/*!40000 ALTER TABLE `cl_module` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_module_contexts`
--

DROP TABLE IF EXISTS `cl_module_contexts`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_module_contexts` (
  `module_id` int(10) unsigned NOT NULL,
  `context` varchar(60) NOT NULL default 'course',
  PRIMARY KEY  (`module_id`,`context`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_module_contexts`
--

LOCK TABLES `cl_module_contexts` WRITE;
/*!40000 ALTER TABLE `cl_module_contexts` DISABLE KEYS */;
INSERT INTO `cl_module_contexts` VALUES (1,'course'),(2,'course'),(3,'course'),(4,'course'),(4,'group'),(5,'course'),(6,'course'),(7,'course'),(8,'course'),(8,'group'),(9,'course'),(10,'course'),(11,'course'),(11,'group'),(12,'course'),(12,'group');
/*!40000 ALTER TABLE `cl_module_contexts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_module_info`
--

DROP TABLE IF EXISTS `cl_module_info`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_module_info` (
  `id` smallint(6) NOT NULL auto_increment,
  `module_id` smallint(6) NOT NULL default '0',
  `version` varchar(10) NOT NULL default '',
  `author` varchar(50) default NULL,
  `author_email` varchar(100) default NULL,
  `author_website` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `website` varchar(255) default NULL,
  `license` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_module_info`
--

LOCK TABLES `cl_module_info` WRITE;
/*!40000 ALTER TABLE `cl_module_info` DISABLE KEYS */;
INSERT INTO `cl_module_info` VALUES (1,1,'1.9','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://wiki.claroline.net/index.php/CLDSC','GPL'),(2,2,'3.0','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://wiki.claroline.net/index.php/CLCAL','GPL'),(3,3,'3.0','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://wiki.claroline.net/index.php/CLANN','GPL'),(4,4,'4.0','Claro team','devteam@claroline.net','http://www.claroline.net/','\n     This tool is an original tool of claroline\n     It\'s able to store and manage local ressoures like file, url.\n     Can  manage upload, zip, images, url, subdirectory\n     Ca edit html files\n  ','http://wiki.claroline.net/index.php/CLDOC','GPL'),(5,5,'1.8','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://wiki.claroline.net/index.php/CLQWZ','GPL'),(6,6,'1.0','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://www.claroline.net/wiki/CLLNP/','GPL'),(7,7,'1.8','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','','GPL'),(8,8,'1.8','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://wiki.claroline.net/index.php/CLFRM','GPL'),(9,9,'1.8','Claro team','devteam@claroline.net','http://www.claroline.net/','\n        This tool allows group-based activities and group management in Claroline\n    ','http://wiki.claroline.net/index.php/CLGRP','GPL'),(10,10,'4.0','Claro team','devteam@claroline.net','http://www.claroline.net/','\n  ','http://wiki.claroline.net/index.php/CLUSR','GPL'),(11,11,'2.0','Frederic Minne','zefredz@claroline.net','http://wiki.claroline.net/index.php/CLWIKI','\n     This is the original Wiki tool for the Claroline platform. It allows\n     online collaborative edition of web pages using a simplified Wiki\n     syntax based on Olivier Meunier\'s wiki2xhtml renderer from the\n     Dotclear blog project.\n  ','http://wiki.claroline.net/index.php/CLWIKI','GPL'),(12,12,'1.0','Sebastien Piraux','seb@claroline.net','http://www.claroline.net','\n    \n  ','','GPL');
/*!40000 ALTER TABLE `cl_module_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_notify`
--

DROP TABLE IF EXISTS `cl_notify`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_notify` (
  `id` int(11) NOT NULL auto_increment,
  `course_code` varchar(40) NOT NULL default '0',
  `tool_id` int(11) NOT NULL default '0',
  `ressource_id` varchar(255) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `date` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `course_id` (`course_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_notify`
--

LOCK TABLES `cl_notify` WRITE;
/*!40000 ALTER TABLE `cl_notify` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_notify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_property_definition`
--

DROP TABLE IF EXISTS `cl_property_definition`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_property_definition` (
  `propertyId` varchar(50) NOT NULL default '',
  `contextScope` varchar(10) NOT NULL default '',
  `label` varchar(50) NOT NULL default '',
  `type` varchar(10) NOT NULL default '',
  `defaultValue` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `required` tinyint(1) NOT NULL default '0',
  `rank` int(10) unsigned NOT NULL default '0',
  `acceptedValue` text NOT NULL,
  PRIMARY KEY  (`contextScope`,`propertyId`),
  KEY `rank` (`rank`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_property_definition`
--

LOCK TABLES `cl_property_definition` WRITE;
/*!40000 ALTER TABLE `cl_property_definition` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_property_definition` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_rel_class_user`
--

DROP TABLE IF EXISTS `cl_rel_class_user`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_rel_class_user` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `class_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `class_id` (`class_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_rel_class_user`
--

LOCK TABLES `cl_rel_class_user` WRITE;
/*!40000 ALTER TABLE `cl_rel_class_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_rel_class_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_rel_course_category`
--

DROP TABLE IF EXISTS `cl_rel_course_category`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_rel_course_category` (
  `courseId` int(11) NOT NULL,
  `categoryId` int(11) NOT NULL,
  `rootCourse` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`courseId`,`categoryId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_rel_course_category`
--

LOCK TABLES `cl_rel_course_category` WRITE;
/*!40000 ALTER TABLE `cl_rel_course_category` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_rel_course_category` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_rel_course_class`
--

DROP TABLE IF EXISTS `cl_rel_course_class`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_rel_course_class` (
  `courseId` varchar(40) NOT NULL,
  `classId` int(11) NOT NULL default '0',
  PRIMARY KEY  (`courseId`,`classId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_rel_course_class`
--

LOCK TABLES `cl_rel_course_class` WRITE;
/*!40000 ALTER TABLE `cl_rel_course_class` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_rel_course_class` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_rel_course_portlet`
--

DROP TABLE IF EXISTS `cl_rel_course_portlet`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_rel_course_portlet` (
  `id` int(11) NOT NULL auto_increment,
  `courseId` int(11) NOT NULL,
  `rank` int(11) NOT NULL,
  `label` varchar(255) NOT NULL,
  `visible` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `courseId` (`courseId`,`label`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_rel_course_portlet`
--

LOCK TABLES `cl_rel_course_portlet` WRITE;
/*!40000 ALTER TABLE `cl_rel_course_portlet` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_rel_course_portlet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_rel_course_user`
--

DROP TABLE IF EXISTS `cl_rel_course_user`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_rel_course_user` (
  `code_cours` varchar(40) NOT NULL default '0',
  `user_id` int(11) unsigned NOT NULL default '0',
  `profile_id` int(11) NOT NULL,
  `role` varchar(60) default NULL,
  `team` int(11) NOT NULL default '0',
  `tutor` int(11) NOT NULL default '0',
  `count_user_enrol` int(11) NOT NULL default '0',
  `count_class_enrol` int(11) NOT NULL default '0',
  `isPending` tinyint(4) NOT NULL default '0',
  `isCourseManager` tinyint(4) NOT NULL default '0',
  `enrollment_date` datetime default NULL,
  PRIMARY KEY  (`code_cours`,`user_id`),
  KEY `isCourseManager` (`isCourseManager`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_rel_course_user`
--

LOCK TABLES `cl_rel_course_user` WRITE;
/*!40000 ALTER TABLE `cl_rel_course_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_rel_course_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_right_action`
--

DROP TABLE IF EXISTS `cl_right_action`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_right_action` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` varchar(255) default '',
  `tool_id` int(11) default NULL,
  `rank` int(11) default '0',
  `type` enum('COURSE','PLATFORM') NOT NULL default 'COURSE',
  PRIMARY KEY  (`id`),
  KEY `tool_id` (`tool_id`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_right_action`
--

LOCK TABLES `cl_right_action` WRITE;
/*!40000 ALTER TABLE `cl_right_action` DISABLE KEYS */;
INSERT INTO `cl_right_action` VALUES (1,'read','',1,0,'COURSE'),(2,'edit','',1,0,'COURSE'),(3,'read','',2,0,'COURSE'),(4,'edit','',2,0,'COURSE'),(5,'read','',3,0,'COURSE'),(6,'edit','',3,0,'COURSE'),(7,'read','',4,0,'COURSE'),(8,'edit','',4,0,'COURSE'),(9,'read','',5,0,'COURSE'),(10,'edit','',5,0,'COURSE'),(11,'read','',6,0,'COURSE'),(12,'edit','',6,0,'COURSE'),(13,'read','',7,0,'COURSE'),(14,'edit','',7,0,'COURSE'),(15,'read','',8,0,'COURSE'),(16,'edit','',8,0,'COURSE'),(17,'read','',9,0,'COURSE'),(18,'edit','',9,0,'COURSE'),(19,'read','',10,0,'COURSE'),(20,'edit','',10,0,'COURSE'),(21,'read','',11,0,'COURSE'),(22,'edit','',11,0,'COURSE'),(23,'read','',12,0,'COURSE'),(24,'edit','',12,0,'COURSE');
/*!40000 ALTER TABLE `cl_right_action` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_right_profile`
--

DROP TABLE IF EXISTS `cl_right_profile`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_right_profile` (
  `profile_id` int(11) NOT NULL auto_increment,
  `type` enum('COURSE','PLATFORM') NOT NULL default 'COURSE',
  `name` varchar(255) NOT NULL default '',
  `label` varchar(50) NOT NULL default '',
  `description` varchar(255) default '',
  `courseManager` tinyint(4) default '0',
  `mailingList` tinyint(4) default '0',
  `userlistPublic` tinyint(4) default '0',
  `groupTutor` tinyint(4) default '0',
  `locked` tinyint(4) default '0',
  `required` tinyint(4) default '0',
  PRIMARY KEY  (`profile_id`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_right_profile`
--

LOCK TABLES `cl_right_profile` WRITE;
/*!40000 ALTER TABLE `cl_right_profile` DISABLE KEYS */;
INSERT INTO `cl_right_profile` VALUES (1,'COURSE','Anonymous','anonymous','Course visitor (the user has no account on the platform)',0,1,1,0,0,1),(2,'COURSE','Guest','guest','Course visitor (the user has an account on the platform, but is not enrolled in the course)',0,1,1,0,0,1),(3,'COURSE','User','user','Course member (the user is actually enrolled in the course)',0,1,1,0,0,1),(4,'COURSE','Manager','manager','Course Administrator',1,1,1,0,1,1);
/*!40000 ALTER TABLE `cl_right_profile` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_right_rel_profile_action`
--

DROP TABLE IF EXISTS `cl_right_rel_profile_action`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_right_rel_profile_action` (
  `profile_id` int(11) NOT NULL,
  `action_id` int(11) NOT NULL,
  `courseId` varchar(40) NOT NULL default '',
  `value` tinyint(4) default '0',
  PRIMARY KEY  (`profile_id`,`action_id`,`courseId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_right_rel_profile_action`
--

LOCK TABLES `cl_right_rel_profile_action` WRITE;
/*!40000 ALTER TABLE `cl_right_rel_profile_action` DISABLE KEYS */;
INSERT INTO `cl_right_rel_profile_action` VALUES (1,23,'',1),(2,23,'',1),(3,23,'',1),(4,23,'',1),(1,24,'',0),(2,24,'',0),(3,24,'',0),(4,24,'',1),(1,22,'',0),(1,21,'',1),(2,22,'',0),(2,21,'',1),(3,22,'',0),(3,21,'',1),(4,22,'',1),(4,21,'',1),(1,20,'',0),(1,19,'',1),(1,18,'',0),(2,20,'',0),(3,20,'',0),(3,19,'',1),(4,20,'',1),(4,19,'',1),(1,17,'',1),(1,16,'',0),(1,15,'',1),(2,19,'',1),(2,18,'',0),(3,18,'',0),(3,17,'',1),(3,16,'',0),(3,15,'',1),(4,18,'',1),(4,17,'',1),(4,16,'',1),(4,15,'',1),(1,14,'',0),(1,13,'',1),(2,17,'',1),(2,16,'',0),(3,14,'',0),(3,13,'',1),(4,14,'',1),(4,13,'',1),(1,12,'',0),(1,11,'',1),(2,15,'',1),(2,14,'',0),(2,13,'',1),(2,12,'',0),(2,11,'',1),(3,12,'',0),(3,11,'',1),(4,12,'',1),(4,11,'',1),(1,10,'',0),(1,9,'',1),(2,10,'',0),(2,9,'',1),(3,10,'',0),(3,9,'',1),(4,10,'',1),(4,9,'',1),(1,8,'',0),(1,7,'',1),(2,8,'',0),(2,7,'',1),(3,8,'',0),(3,7,'',1),(4,8,'',1),(4,7,'',1),(1,6,'',0),(1,5,'',1),(2,6,'',0),(2,5,'',1),(3,6,'',0),(3,5,'',1),(4,6,'',1),(4,5,'',1),(1,4,'',0),(1,3,'',1),(2,4,'',0),(2,3,'',1),(3,4,'',0),(3,3,'',1),(4,4,'',1),(4,3,'',1),(1,1,'',1),(1,2,'',0),(2,1,'',1),(2,2,'',0),(3,1,'',1),(3,2,'',0),(4,1,'',1),(4,2,'',1);
/*!40000 ALTER TABLE `cl_right_rel_profile_action` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_sso`
--

DROP TABLE IF EXISTS `cl_sso`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_sso` (
  `id` int(11) NOT NULL auto_increment,
  `cookie` varchar(255) NOT NULL default '',
  `rec_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `user_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_sso`
--

LOCK TABLES `cl_sso` WRITE;
/*!40000 ALTER TABLE `cl_sso` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_sso` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_tracking_event`
--

DROP TABLE IF EXISTS `cl_tracking_event`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_tracking_event` (
  `id` int(11) NOT NULL auto_increment,
  `course_code` varchar(40) default NULL,
  `tool_id` int(11) default NULL,
  `user_id` int(11) default NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `type` varchar(60) NOT NULL default '',
  `data` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `course_id` (`course_code`),
  KEY `user_tracking` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_tracking_event`
--

LOCK TABLES `cl_tracking_event` WRITE;
/*!40000 ALTER TABLE `cl_tracking_event` DISABLE KEYS */;
INSERT INTO `cl_tracking_event` VALUES (1,NULL,NULL,1,'2011-05-15 11:12:00','user_login','a:1:{s:2:\"ip\";s:9:\"127.0.0.1\";}'),(2,NULL,NULL,NULL,'2011-05-15 11:27:00','platform_access','');
/*!40000 ALTER TABLE `cl_tracking_event` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_upgrade_status`
--

DROP TABLE IF EXISTS `cl_upgrade_status`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_upgrade_status` (
  `id` int(11) NOT NULL auto_increment,
  `cid` varchar(40) NOT NULL,
  `claro_label` varchar(8) default NULL,
  `status` tinyint(4) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_upgrade_status`
--

LOCK TABLES `cl_upgrade_status` WRITE;
/*!40000 ALTER TABLE `cl_upgrade_status` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_upgrade_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_user`
--

DROP TABLE IF EXISTS `cl_user`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_user` (
  `user_id` int(11) unsigned NOT NULL auto_increment,
  `nom` varchar(60) default NULL,
  `prenom` varchar(60) default NULL,
  `username` varchar(20) default 'empty',
  `password` varchar(50) default 'empty',
  `language` varchar(15) default NULL,
  `authSource` varchar(50) default 'claroline',
  `email` varchar(255) default NULL,
  `officialCode` varchar(255) default NULL,
  `officialEmail` varchar(255) default NULL,
  `phoneNumber` varchar(30) default NULL,
  `pictureUri` varchar(250) default NULL,
  `creatorId` int(11) unsigned default NULL,
  `isPlatformAdmin` tinyint(4) default '0',
  `isCourseCreator` tinyint(4) default '0',
  PRIMARY KEY  (`user_id`),
  KEY `loginpass` (`username`,`password`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_user`
--

LOCK TABLES `cl_user` WRITE;
/*!40000 ALTER TABLE `cl_user` DISABLE KEYS */;
INSERT INTO `cl_user` VALUES (1,'Framasoft','Admin','admin','fd55b67e904e168a97c87fd283e870f1','','claroline','adresse@email.test','','','',NULL,1,1,1);
/*!40000 ALTER TABLE `cl_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cl_user_property`
--

DROP TABLE IF EXISTS `cl_user_property`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `cl_user_property` (
  `userId` int(10) unsigned NOT NULL default '0',
  `propertyId` varchar(255) NOT NULL default '',
  `propertyValue` varchar(255) NOT NULL default '',
  `scope` varchar(45) NOT NULL default '',
  PRIMARY KEY  (`scope`,`propertyId`,`userId`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `cl_user_property`
--

LOCK TABLES `cl_user_property` WRITE;
/*!40000 ALTER TABLE `cl_user_property` DISABLE KEYS */;
/*!40000 ALTER TABLE `cl_user_property` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-05-15  9:28:07
